> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shiftkeeper.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the authenticated user

> Get the authenticated user who owns this API key.



## OpenAPI

````yaml https://api.shiftkeeper.io/openapi.json get /user/
openapi: 3.1.0
info:
  title: Shiftkeeper API
  description: API reference to interact with Shiftkeeper programatically
  version: 0.0.1
servers:
  - url: https://api.shiftkeeper.io
security:
  - apiKey: []
externalDocs:
  url: https://docs.shiftkeeper.io
  description: Learn more about Shiftkeeper
paths:
  /user/:
    get:
      tags:
        - Users
      summary: Get the authenticated user
      description: Get the authenticated user who owns this API key.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    $ref: '#/components/schemas/User'
                required:
                  - user
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    $ref: '#/components/schemas/NotFoundError'
                required:
                  - error
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
          description: The ID of the user.
        name:
          type: string
          description: The name of the user.
        email:
          type: string
          format: email
          description: The email of the user.
        time_zone:
          type: string
          description: >-
            The preferred time zone of the user. If not set, the organization's
            time zone will be used.
        role:
          type: string
          enum:
            - owner
            - standard
          description: >-
            The role of the user. Learn more about roles in [our
            docs](/shiftkeeper/workspace/users#roles).
        seat:
          type: string
          enum:
            - viewer
            - member
          description: >-
            The seat of the user. Learn more about seat in [our
            docs](/shiftkeeper/workspace/users#seats).
        slack_id:
          type: string
          description: The Slack ID of the user.
      required:
        - id
        - name
        - email
        - role
        - seat
      examples:
        - id: usr_bq7CmsOKLmkMeZkUUu1hy
          name: Rick
          email: rick@example.org
          time_zone: Europe/Paris
          role: owner
          seat: member
          slack_id: U082KENSEQ3
        - id: usr_C0GwCFdk0I4pBMRny4qYV
          name: Dena
          email: dena@example.org
          role: standard
          seat: member
          slack_id: U082GMAFR1T
        - id: usr_YlxrjoB1JqUsollScfFYT
          name: Lily
          email: lily@example.org
          time_zone: America/New_York
          role: standard
          seat: viewer
          slack_id: U0529FWNCG2
    NotFoundError:
      type: object
      properties:
        message:
          type: string
        docs_url:
          type: string
        status:
          type: number
          const: 404
        code:
          type: string
          const: not_found
      required:
        - message
        - status
        - code
      example:
        code: not_found
        status: 404
        message: The requested resource was not found
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key which starts with 'keeper_'

````